<?php
 include_once '../php/config.php';
 include_once '../header_.php';
 	$str_c = mysql_query("select * from cuadres where id='".$_GET['id']."'") or die(mysql_error());
	$estado_caja = @mysql_result($str_c, 0, "estado");
	$fecha = (mysql_result($str_c, 0, "fecha_inicio"))." ".@mysql_result($str_c, 0, "hora_inicio");
	$venta_tarjeta = @decimal(mysql_result($str_c, 0, "total_ventas_tarjeta"));
	$venta_efectivo = @decimal(mysql_result($str_c, 0, "total_ventas_efectivo"));
	$venta_credito = @decimal(mysql_result($str_c, 0, "total_ventas_credito"));
	$monto_inicio = @decimal(mysql_result($str_c, 0, "monto_inicio"));
	$id = @mysql_result($str_c, 0, "id");
	$pagos = @mysql_result($str_c, 0, "pago");
	$balance = @mysql_result($str_c, 0, "balance_efectivo");
	$balance = $balance + $venta_tarjeta;
	

?>

<div class="container">
	  <div class="row">
				<div class="col-md-12 mt-2">
					<span class="h2 text-success"><i class="bi bi-cash-coin"></i> Cierre de turno</span><br>
					<br>
					Cajero: <?php echo $_COOKIE['usuario']?>
			  
			<hr>
			<a href="turnos_caja.php" class="btn btn-default mb-2" href="javascript:void(0)" ><i class="fa fa-undo"></i> VOLVER ATRAS</a>
			
			<?php if($estado_caja=="Cerrada" OR $estado_caja==""){?>
			<button  onClick="window.location.href='abrir_caja.php'" class="btn btn-success mb-2" href="javascript:void(0)" ><i class="fa fa-upload"></i> Abrir caja</button>
			<?php }?>
		</div>
	</div>
	
	<div class="row">
		 <div class="col-md-4 mt-2">
			<div class="panel panel-default">
				<div class="panel-heading"></div>
				<div class="panel-body">
					<span class="pull-left  mt-2">Monto de inicio:</span>
					<span class="pull-right" id="monto_inicio"><?php echo $monto_inicio;?></span><br><br>
					<span class="pull-left  mt-2">Hora y fecha inicio:</span>
					<span class="pull-right" id="monto_inicio"> <?php echo $fecha;?></span><br>
					<hr>
					
					<span class="pull-left  mt-2">Venta efectivo:</span>
					<span class="pull-right " id="venta_efectivo"><?php echo $venta_efectivo;?></span><br><br>
					
					<span class="pull-left  mt-2">Venta tarjeta:</span>
					<span class="pull-right " id="venta_tarjeta"> <?php echo $venta_tarjeta;?></span><br><br>
					
					<span class="pull-left  mt-2 text-danger">Venta credito:</span>
					<span class="pull-right" id="venta_credito"> <?php echo $venta_credito;?></span><br><br>
					
					<span class="pull-left  mt-2 text-danger">Pagos de credito:</span>
					<span class="pull-right" id="venta_credito"> <?php echo $pagos;?></span><br><br>
					<hr>
					
					<!--span class="pull-left  mt-2 text-danger">Anulaciones:</span>
					<span class="pull-right " id="anulaciones"> <?php echo $anulaciones;?></span><br><br-->
					<hr>
					
				</div>
			</div>
		 </div>
	
	
<div class="col-md-3 mt-2">
			<div class="panel panel-default">
				<div class="panel-heading"></div>
				<div class="panel-body">
				  		    <b>Balance segun sistema</b><br>
					<span class="pull-left h4 mt-2">Balance:</span>
					<span class="pull-right h4 text-info" id="balance_sistema"><?php echo @decimal($balance);?></span><br><br>
					
					<b>Conteo de efectivo</b><br>
					
						<input type="number" id="conteo" class="form-control" readonly>
					
					<br>
					<b class="pull-left">Diferencia: </b>
					<span class="text-info pull-right" id="diferencia">0.00</span><br>
					<button class="btn btn-success" onClick="cerrar()"><i class="bi bi-cash-coin"></i> Cerrar turno</button>
					
				   </div>
				   
				   
				   <br>
				</div>
</div>

	
	
	
	
<div class="col-md-4 mt-2">
			<div class="panel panel-default">
				<div class="panel-heading">
				<a href="" class="small text-info"> Limpiar desglose</a>
				</div>
				<div class="panel-body">
		
				   <b>DESGLOSE DE EFECTIVO</b>
				   <!--1-->
				   <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose1" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion1">1.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total1">0.00</span>
						</div>
				   </div>
				   
				     <!--5-->
				  		<div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose5" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion5">5.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total5">0.00</span>
						</div>
				   </div>
				   
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose10" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion10">10.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total10">0.00</span>
						</div>
				   </div>
				   
				     <!--25-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose25" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion25">25.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total25">0.00</span>
						</div>
				   </div>
				   
				     <!--50-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose50" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion50">50.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total50">0.00</span>
						</div>
				   </div>
				   
				     <!--100-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose100" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion100">100.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total100">0.00</span>
						</div>
				   </div>
				   
				     <!--200-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose200" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion200">200.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total200">0.00</span>
						</div>
				   </div>
				   
				     <!--500-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose500" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion500">500.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total500">0.00</span>
						</div>
				   </div>
				   
				     <!--1000-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose1000" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion1000">1000.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total1000">0.00</span>
						</div>
				   </div>
				   
				     <!--2000-->
				  <div class="row mt-2">
						<div class="col-xs-4">
							<input type="number" id="desglose2000" class="form-control">
						</div>
						<div class="col-xs-4">
							<span type="number" id="denominacion2000">2000.00</span>
						</div>
						<div class="col-xs-4">
							<span type="number" id="total2000">0.00</span>
						</div>
				   </div>
				   
					<hr>
					
					
				</div>
			</div>
		 </div>	
	
	
	
	
	
	
	</div>
</div>

<script>
$(".form-control").val("0");
function cerrar_caja(){
	$(".btn").prop("disabled", true);
	var monto = $("#monto").val()
	var usurio = "<?php echo $_COOKIE['usuario']?>"; 
	window.location.href="abrir_caja.php?abrir=1&monto="+monto;
}

$("#desglose1").keyup(function(e){
	$("#total1").html(parseFloat($("#desglose1").val()) * parseFloat($("#denominacion1").html()))
})

$("#desglose5").keyup(function(e){
	$("#total5").html(parseFloat($("#desglose5").val()) * parseFloat($("#denominacion5").html()))
})

$("#desglose10").keyup(function(e){
	$("#total10").html(parseFloat($("#desglose10").val()) * parseFloat($("#denominacion10").html()))
})

$("#desglose25").keyup(function(e){
	$("#total25").html(parseFloat($("#desglose25").val()) * parseFloat($("#denominacion25").html()))
})

$("#desglose50").keyup(function(e){
	$("#total50").html(parseFloat($("#desglose50").val()) * parseFloat($("#denominacion50").html()))
})
$("#desglose100").keyup(function(e){
	$("#total100").html(parseFloat($("#desglose100").val()) * parseFloat($("#denominacion100").html()))
})
$("#desglose200").keyup(function(e){
	$("#total200").html(parseFloat($("#desglose200").val()) * parseFloat($("#denominacion200").html()))
})
$("#desglose500").keyup(function(e){
	$("#total500").html(parseFloat($("#desglose500").val()) * parseFloat($("#denominacion500").html()))
})
$("#desglose1000").keyup(function(e){
	$("#total1000").html(parseFloat($("#desglose1000").val()) * parseFloat($("#denominacion1000").html()))
})
$("#desglose2000").keyup(function(e){
	$("#total2000").html(parseFloat($("#desglose2000").val()) * parseFloat($("#denominacion2000").html()))
})



$(".form-control").keyup(function(){
	var total = 0;
		total+=parseFloat($("#total1").html());
		total+=parseFloat($("#total5").html());
		total+=parseFloat($("#total10").html());
		total+=parseFloat($("#total25").html());
		total+=parseFloat($("#total50").html());
		total+=parseFloat($("#total100").html());
		total+=parseFloat($("#total200").html());
		total+=parseFloat($("#total500").html());
		total+=parseFloat($("#total1000").html());
		total+=parseFloat($("#total2000").html());
		
	
	
	if(isNaN(total)){
		total = 0;
	}
	$("#conteo").val(total)
	var div = "<?php echo $balance;?>";
	div = total - div;
	$("#diferencia").html(div)
})



function cerrar(){
	var balance = "<?php echo $balance;?>";
	var id = "<?php echo $id;?>";
	var conteo = $("#conteo").val();
	var dif = conteo - balance;
	if(dif!=0){
		if(!confirm("Hay diferencias en el cuadre de "+dif+" desea continuar?")){return;}
	window.location.href="cerrar_caja.php?conteo="+conteo+"&diferencia="+dif+"&cerrar=1"+"&id="+id;
	}
}
</script>
<?php
if(isSet($_GET["cerrar"])){
	include_once '../php/config.php';
if($_GET["cerrar"]=="1"){

   
   

  mysql_query("update cuadres set conteo='".$_GET['conteo']."', fecha_cierre=CURDATE(),hora_cierre=CURTIME(), usuario_cierre='".$_COOKIE['usuario']."', estado='Cerrada' where id='".$id."'") or die(mysql_error());
  mysql_query("insert into historico_cuadres select * from cuadres where id='$id'") or die(mysql_error());
  mysql_query("update cuadres set fecha_cierre=CURDATE(),fecha_inicio='', hora_inicio='', monto_inicio=0, balance_efectivo=0, total_ventas_efectivo=0, total_ventas_tarjeta=0, total_ventas_credito=0, ventas=0, total_ventas='', usuario_cierre='',  hora_cierre=CURTIME(), usuario_cierre='".$_COOKIE['usuario']."', estado='Cerrada' where id='".$id."'") or die(mysql_error());
  mysql_query("update cuadres set diferencia=conteo - balance_efectivo where id='".$id."'") or die(mysql_error());

$str = mysql_query("select * from historico_cuadres where usuario_cierre='".$_COOKIE['usuario']."' order by id2 desc limit 1") or die(mysql_error());
$ul_cierre = @mysql_result($str, 0, "id2");
echo $ul_cierre;
echo "<script>window.location.href='../reportes/rptCierreTurno.php?id=$ul_cierre'</script>";

}
	}
?>